Ubuntu12.04宝塔面板安装nginx报错 缺少GD library环境依赖包

Ubuntu 12.04系统宝塔面板安装nginx报错

./configure: error: the HTTP image filter module requires the GD library.
You can either do not enable the module or install the libraries.

根据提示来看是没有GD依赖包,在宝塔面板的SSH终端里面输入sudo apt-get install -y libgd-dev安装,但出现提示:

Reading package lists... Done
Building dependency tree
Reading state information... Done
Package libgd-dev is a virtual package provided by:
libgd2-xpm-dev 2.0.36~rc1~dfsg-6ubuntu2.4
libgd2-noxpm-dev 2.0.36~rc1~dfsg-6ubuntu2.4
You should explicitly select one to install.

E: Package 'libgd-dev' has no installation candidate

根据提示来看,这是要我们选择libgd2-xpm-dev 还是libgd2-noxpm-dev,豫章小站在百度和谷歌上都没有搜索到这两个包的区别,所以直接就选择libgd2-xpm-dev安装。

sudo apt-get install -y libgd2-xpm-dev

安装GD依赖包之前可以先执行sudo apt-get update更新下列表。GD依赖包安装成功以后再到宝塔面板安装nginx就成功了。

作者:魏川川

声明:本网站发布的内容(图片、视频和文字)以用户投稿、用户转载内容为主,如果涉及侵权请尽快告知,我们将会在第一时间删除。文章观点不代表本网站立场,如需处理请联系客服。电话:028-62778877-8261;邮箱:jenny@west.cn。本站原创内容未经允许不得转载,或转载时需注明出处::西部数码资讯门户 » Ubuntu12.04宝塔面板安装nginx报错 缺少GD library环境依赖包

赞 (1)

评论 0

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址